VERSION 5.00
Object = "{BBF3A70C-D145-4D0A-9A21-4CF3080636D1}#1.0#0"; "ImageWebSearch.ocx"
Begin VB.Form FrmTest 
   Caption         =   "Test de uso"
   ClientHeight    =   7050
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   9615
   LinkTopic       =   "Form2"
   ScaleHeight     =   7050
   ScaleWidth      =   9615
   StartUpPosition =   2  'CenterScreen
   Begin CtrlImageWebSearch.ImageWebSearch ImageWebSearch1 
      Left            =   5760
      Top             =   6240
      _ExtentX        =   1270
      _ExtentY        =   1270
   End
   Begin VB.TextBox TxtDefaultSearch 
      Height          =   375
      Left            =   4440
      TabIndex        =   11
      Top             =   5520
      Width           =   3015
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   2760
      Max             =   256
      Min             =   24
      TabIndex        =   9
      Top             =   6600
      Value           =   160
      Width           =   1215
   End
   Begin VB.OptionButton OptServer 
      Caption         =   "Devianart"
      Height          =   375
      Index           =   1
      Left            =   2760
      TabIndex        =   7
      Top             =   5760
      Width           =   1095
   End
   Begin VB.OptionButton OptServer 
      Caption         =   "Google"
      Height          =   255
      Index           =   0
      Left            =   2760
      TabIndex        =   6
      Top             =   5520
      Value           =   -1  'True
      Width           =   975
   End
   Begin VB.CheckBox ChkShowPage 
      Caption         =   "Mostrar Pagina"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   6360
      Width           =   1455
   End
   Begin VB.CheckBox ChkMultiselect 
      Caption         =   "Seleccin Multiple"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   6000
      Width           =   1695
   End
   Begin VB.CheckBox ChkPreview 
      Caption         =   "Vista Previa"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   5640
      Width           =   1575
   End
   Begin VB.CheckBox ChkZoom 
      Caption         =   "Zoom"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   5280
      Width           =   975
   End
   Begin VB.ListBox List1 
      Height          =   4740
      Left            =   120
      TabIndex        =   1
      Top             =   320
      Width           =   9375
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Buscar"
      Height          =   375
      Left            =   7800
      TabIndex        =   0
      Top             =   5520
      Width           =   1695
   End
   Begin VB.Label LblInfo 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000018&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Para apreciar mejor este proyecto ejecutarlo compilado, o tener el vb6.exe con los temas de windows."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   320
      Left            =   0
      TabIndex        =   13
      Top             =   0
      Width           =   9615
   End
   Begin VB.Label Label3 
      Caption         =   "Busqueda por defecto"
      Height          =   255
      Left            =   4440
      TabIndex        =   12
      Top             =   5280
      Width           =   2535
   End
   Begin VB.Label Label2 
      Caption         =   "Tamao del item"
      Height          =   255
      Left            =   2520
      TabIndex        =   10
      Top             =   6240
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "Buscar en:"
      Height          =   255
      Left            =   2520
      TabIndex        =   8
      Top             =   5280
      Width           =   1095
   End
End
Attribute VB_Name = "FrmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Function LoadLibrary Lib "kernel32.dll" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Private Declare Function FreeLibrary Lib "kernel32.dll" (ByVal hLibModule As Long) As Long
Private Declare Sub InitCommonControls Lib "COMCTL32" ()
Private hModShell32 As Long

Private Sub Command1_Click()
    Dim sResult() As String
    Dim i As Long

    With ImageWebSearch1
        .DefaultSearchWords = TxtDefaultSearch.Text
        .EnabledZoom = ChkZoom.Value
        .PanelPreviewVisible = ChkPreview.Value
        .MultiSelect = ChkMultiselect.Value
        .ShowPage = ChkShowPage.Value
        .ServerSearch = IIf(OptServer(0).Value, ssGoogle, ssDevianart)
        .ThumbnailSize = HScroll1.Value
    End With
    
    List1.Clear
    
    'If ImageWebSearch1.ShowDialog(vbModeless, Me) Then 'otra forma
    If ImageWebSearch1.ShowDialog() Then 'vbModal por defecto
        sResult = Split(ImageWebSearch1.URL, Chr$(0))
        
        For i = 0 To UBound(sResult)
            List1.AddItem sResult(i)
        Next
        
        Debug.Print ImageWebSearch1.WordsSearchedByUser
    Else
        Debug.Print "Se cancelo la busqueda"
    End If
    
End Sub

'Es importante tener los temas de windows corriendo sino se vera feo.
Private Sub Form_Initialize()
    hModShell32 = LoadLibrary("shell32.dll")
    Call InitCommonControls
    If App.LogMode Then LblInfo.Visible = False
End Sub

Private Sub Form_Terminate()
    Call FreeLibrary(hModShell32)
End Sub
